Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888518 (CVE-2012-5646) - CVE-2012-5646 openshift-origin-node-util: restorer.php preg_match shell code injection
Summary: CVE-2012-5646 openshift-origin-node-util: restorer.php preg_match shell code ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-5646
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 880699 888549
Blocks: 888535
TreeView+ depends on / blocked
 
Reported: 2012-12-18 19:59 UTC by Kurt Seifried
Modified: 2021-02-17 08:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-22 21:50:44 UTC


Attachments (Terms of Use)
CVE-2012-5646-restorer.php.patch (1.78 KB, patch)
2012-12-18 20:56 UTC, Kurt Seifried
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0148 0 normal SHIPPED_LIVE Moderate: openshift-origin-node-util security update 2013-01-09 01:44:53 UTC

Description Kurt Seifried 2012-12-18 19:59:47 UTC
Michael Scherer (mscherer@redhat.com) reports:

the file https://github.com/openshift/origin-server/blob/master/node-util/www/html/restorer.php 
used to restore application after being idle fails to safely handle user 
supplied data that is later used on the command line.

Comment 1 Kurt Seifried 2012-12-18 20:56:30 UTC
Created attachment 665754 [details]
CVE-2012-5646-restorer.php.patch

Comment 3 Murray McAllister 2013-01-07 06:00:13 UTC
Acknowledgements:

This issue was discovered by Michael Scherer of the Red Hat Regional IT team.

Comment 4 errata-xmlrpc 2013-01-08 20:45:56 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0148 https://rhn.redhat.com/errata/RHSA-2013-0148.html

Comment 5 Kurt Seifried 2013-01-22 21:50:44 UTC
This issue has been addressed in OpenShift Online.


Note You need to log in before you can comment on or make changes to this bug.